> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# doctmpl

> GenericMDOProvider reads MDO lists with default settings

## "doctmpl" MDO List

GenericMDOProvider reads MDO lists with default settings

Implemented by the <see cref="T:SuperOffice.CRM.Lists.GenericMDOProvider">GenericMDOProvider</see> class.
The name of the MDO list is 'doctmpl'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/doctmpl
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("doctmpl", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                         | StyleHint | ExtraInfo |
| -- | ---------------------------- | --------- | --------- |
| 1  | Brev                         |           |           |
| 4  | Brev - Internasjonal         |           |           |
| 20 | Confirmation - Contact added |           |           |
| 6  | E-post                       |           |           |
| 7  | E-post SV:                   |           |           |
| 8  | E-post VS:                   |           |           |
| 3  | Faks                         |           |           |
| 5  | Faks - Internasjonal         |           |           |
| 12 | Innk. dok.                   |           |           |
| 11 | Innk. E-post                 |           |           |
| 2  | Notat                        |           |           |
| 18 | Order confirmation           |           |           |
| 19 | Order confirmation e-mail    |           |           |
| 15 | Quote                        |           |           |
| 16 | Quote - detailed             |           |           |
| 17 | Quote e-mail                 |           |           |
| 9  | Send dok.pr E-post           |           |           |
| 10 | Send dok.pr Faks             |           |           |
| 13 | StateZero Word Simple        |           |           |
| 14 | StateZero Word Simple Czech  |           |           |

## Related MDO Lists

* "doctmplheadings"
* "doctmplheadingswithallitem"
* "doctmplheadingswithallitemwithnoselection"
* "doctmplheadingswithnoselection"
* "doctmplwithallitem"
* "doctmplwithallitemwithnoselection"
* "doctmplwithnoselection"


## Related topics

- [SuperOffice.WebApi.Data.UserPreferenceStrings.MDOList](/en/api/reference/webapi/SuperOffice.WebApi.Data.UserPreferenceStrings.MDOList.md)
- [DocTmpl table](/en/database/tables/doctmpl.md)
- [Enum DocTmplDirection](/en/automation/crmscript/reference/CRMScript.NetServer.DocTmplDirection.md)
- [Enum DocTmplType](/en/automation/crmscript/reference/CRMScript.NetServer.DocTmplType.md)
- [Enum values for DocTmplDirection](/en/database/tables/enums/doctmpldirection.md)
- [Enum values for DocTmplType](/en/database/tables/enums/doctmpltype.md)
